Google Web Toolkit (Beta)
Search this site:

# Class RuntimeException

public class RuntimeException
extends Exception
// Superclass of `UnsupportedOperationException`, `IllegalArgumentException`, `IllegalStateException`, `IndexOutOfBoundsException`, `NullPointerException`, `ArrayStoreException`, `ClassCastException`, `NegativeArraySizeException`, `EmptyStackException`, `MissingResourceException`, `NoSuchElementException`, `ConcurrentModificationException`
See the official Java API doc for details.

## Constructors

RuntimeException() |
RuntimeException(String) |
RuntimeException(String, Throwable) |
RuntimeException(Throwable) |